VPS侦探论坛

 找回密码
 注册
查看: 131|回复: 4

lnmp1.7 升级 1.8的时候有些报错

[复制链接]
发表于 2021-6-2 11:35:22 | 显示全部楼层 |阅读模式




Running transaction
  Preparing        :                                                                                                                                                                                                                         1/1
  Upgrading        : oniguruma-6.8.2-2.el8.x86_64                                                                                                                                                                                            1/4
Error unpacking rpm package oniguruma-6.8.2-2.el8.x86_64
  Upgrading        : oniguruma-devel-6.8.2-2.el8.x86_64                                                                                                                                                                                      2/4
error: unpacking of archive failed on file /usr/lib/.build-id/08/ee3c14209b698ec3d089f679e3565425e01e94: cpio: rename failed - Permission denied
error: oniguruma-6.8.2-2.el8.x86_64: install failed

Error unpacking rpm package oniguruma-devel-6.8.2-2.el8.x86_64
  Verifying        : oniguruma-6.8.2-2.el8.x86_64                                                                                                                                                                                            1/4
  Verifying        : oniguruma-6.8.2-1.el8.x86_64                                                                                                                                                                                            2/4
  Verifying        : oniguruma-devel-6.8.2-2.el8.x86_64                                                                                                                                                                                      3/4
  Verifying        : oniguruma-devel-6.8.2-1.el8.x86_64                                                                                                                                                                                      4/4

Failed:
  oniguruma-6.8.2-1.el8.x86_64                             oniguruma-6.8.2-2.el8.x86_64                             oniguruma-devel-6.8.2-1.el8.x86_64                             oniguruma-devel-6.8.2-2.el8.x86_64                           

Error: Transaction failed
Copy lnmp manager...
cp: cannot create regular file '/bin/lnmp': Permission denied
Copy configure files...
[Wed Jun  2 11:32:24 CST 2021] Already uptodate!
[Wed Jun  2 11:32:24 CST 2021] Upgrade success!
upgrade lnmp manager complete.

美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-6-2 19:19:05 | 显示全部楼层


提示了很多次 Permission denied ,你用非root用户运行?
你机器什么环境?
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-6-3 08:33:03 | 显示全部楼层



本帖最后由 wuuyun 于 2021-6-3 08:34 编辑
licess 发表于 2021-6-2 19:19
提示了很多次 Permission denied ,你用非root用户运行?
你机器什么环境?

腾讯云 centos 8.2.2004   是root账户登录的  ,装了防护软件, 但是升级前 把防护软件停止了,报的 以上提示 ;
另外一台服务器 阿里云的 centos 8.3.2001 是root账户  ,也装了同样的防护软件,  升级前也是停止了防护服务; 升级成功,没有报错.
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-6-3 09:50:02 | 显示全部楼层



wuuyun 发表于 2021-6-3 08:33
腾讯云 centos 8.2.2004   是root账户登录的  ,装了防护软件, 但是升级前 把防护软件停止了,报的 以上提示 ...

有防护软件的,有时候即使停掉了依然会被防护软件拦截
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-6-3 10:38:06 | 显示全部楼层

licess 发表于 2021-6-3 09:50
有防护软件的,有时候即使停掉了依然会被防护软件拦截

谢谢提示
我做了以下公作:
关闭了 系统加固
关闭了 防护软件
yum update -y
重新 更新了lnmp1.8
最后成功

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-6-18 12:59 , Processed in 0.059094 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表